@use "colors";
@use "typography";

.card-container {
    margin: 6rem auto 0.5rem;
    width: 80%;
}

.card {
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    transition: 0.3s;
    border-radius: 3px;
    /* 5px rounded corners */
    border: 1px solid colors.$content-black;
    width: 100%;

    @include typography.break-words;

    .img {
        border-radius: 3px;
        position: absolute;
        width: 100%;
        height: 124px;
        top: -64px;
        left: -16px;
        transition: transform 250ms;
        display: block;
        overflow: hidden;
    }

    .bgimg {
        object-fit: cover;
        object-position: center;
        width: 100%;
        height: 100%;
        display: block;
        transition: transform 250ms;
        transform: scale(1);
        backface-visibility: hidden;
    }

    .card-arrow {
        path {
            stroke: colors.$content-black;
            stroke-width: 1.5px;
        }
    }
}

.card:hover .img .bgimg {
    transform: scale(1.04);

}

.card:focus .img .bgimg {
    transform: scale(1.04);
}

/*backtranslate the img container*/
.card:hover .img {
    transform: translate(6px, 0px);
}

.card:hover,
.card:focus {
    transform: translate(-6px, 0px);
}

.card:hover .card-content h4,
.card a:focus .card-content h4 {
    text-decoration: underline;
}

.card a:focus .img {
    transform: translate(6px, 0px);
    outline: 0;
}

.card a:focus {
    outline: 0;
}

.card a {
    color: colors.$content-black;
    text-decoration: none;
}

.card .relative {
    position: relative;
    height: 48px;
}

.card-content h4 {
    font-family: Graph;
    font-weight: 600;
    text-transform: uppercase;
    font-size: 1.7rem;
    line-height: 1.9rem;
    padding: 1rem 0 1rem 0;
    margin: 0;
    overflow: hidden;
    text-overflow: ellipsis;
}

.card-content .card-desc {
    font-family: Klima;
    font-size: 1rem;
    line-height: 125%;
    margin-bottom: 0;
}

.card-tagline {
    font-weight: 400;
    font-family: klima;
    color: colors.$gray;
    padding: 0;
    margin: auto 0 !important;
    width: 85%;
    font-size: 0.8rem !important;
    $content-white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.card .bottom {
    padding: 1rem 0;
}

.card .bottom {
    display: flex;
    align-items: center;
}

.card svg {
    width: 10%;
    margin: 0 0 0 auto;
}

.card:hover {
    box-shadow: 0 8px 8px 0 rgba(0, 0, 0, 0.25);
}

.card-content {
    padding: 0.1rem 1rem;
}